diff -r 5ea540631a02 code/ryzom/tools/server/admin/crons/cron_harddisk.php
--- a/code/ryzom/tools/server/admin/crons/cron_harddisk.php	Mon Feb 21 19:58:57 2011 +0100
+++ b/code/ryzom/tools/server/admin/crons/cron_harddisk.php	Wed Feb 23 10:55:14 2011 +0000
@@ -6,7 +6,7 @@
     define('NELTOOL_NO_USER_NEEDED',    true);
     define('NELTOOL_CRON_DEBUG',        false);
 
-	if ($HTTP_GET_VARS['dbg']) define('NELTOOL_CRON_DEBUG', true);
+	if ($_GET['dbg']) define('NELTOOL_CRON_DEBUG', true);
 
 	if (defined('NELTOOL_CRON_DEBUG')) echo "Checking HDs ... \n";
 
diff -r 5ea540631a02 code/ryzom/tools/server/admin/index.php
--- a/code/ryzom/tools/server/admin/index.php	Mon Feb 21 19:58:57 2011 +0100
+++ b/code/ryzom/tools/server/admin/index.php	Wed Feb 23 10:55:14 2011 +0000
@@ -21,11 +21,11 @@
 		nt_auth_set_session_var('view_shard_id', $view_shard_id);
 	}
 
-	if (isset($HTTP_GET_VARS['domain']))
+	if (isset($_GET['domain']))
 	{
-		if ($view_domain_id != $HTTP_GET_VARS['domain'])
+		if ($view_domain_id != $_GET['domain'])
 		{
-			$view_domain_id = $HTTP_GET_VARS['domain'];
+			$view_domain_id = $_GET['domain'];
 			nt_auth_set_session_var('view_domain_id', $view_domain_id);
 
 			$view_shard_id = null;
@@ -33,9 +33,9 @@
 		}
 	}
 
-	if (isset($HTTP_GET_VARS['shard']))
+	if (isset($_GET['shard']))
 	{
-		$view_shard_id = $HTTP_GET_VARS['shard'];
+		$view_shard_id = $_GET['shard'];
 		nt_auth_set_session_var('view_shard_id', $view_shard_id);
 	}
 
@@ -44,11 +44,11 @@
 
 	$current_refresh_rate = nt_auth_get_session_var('current_refresh_rate');
 
-	if (isset($HTTP_POST_VARS['services_refresh']))
+	if (isset($_POST['services_refresh']))
 	{
-		if ($current_refresh_rate != $HTTP_POST_VARS['services_refresh'])
+		if ($current_refresh_rate != $_POST['services_refresh'])
 		{
-			$current_refresh_rate = $HTTP_POST_VARS['services_refresh'];
+			$current_refresh_rate = $_POST['services_refresh'];
 			nt_auth_set_session_var('current_refresh_rate',$current_refresh_rate);
 		}
 	}
@@ -306,8 +306,8 @@
 			if ($nel_user['has_lock'])
 			{
 				//nt_common_add_debug("HTTP_POST_VARS");
-				//nt_common_add_debug($HTTP_POST_VARS);
-				//echo '<pre>'. print_r($HTTP_POST_VARS,true) .'</pre>';
+				//nt_common_add_debug($_POST);
+				//echo '<pre>'. print_r($_POST,true) .'</pre>';
 				//die();
 
 				// make sure you are the one who has its name in the restart info
@@ -637,10 +637,10 @@
 					//	exit();
 					//}
 				}
-				elseif (isset($HTTP_POST_VARS['shards_update']) && tool_admin_applications_check('tool_main_shard_autostart'))
+				elseif (isset($_POST['shards_update']) && tool_admin_applications_check('tool_main_shard_autostart'))
 				{
-					$shard_update_mode	= $HTTP_POST_VARS['shards_update'];
-					$shard_update_name	= $HTTP_POST_VARS['shards_update_name'];
+					$shard_update_mode	= $_POST['shards_update'];
+					$shard_update_name	= $_POST['shards_update_name'];
 
 					switch ($shard_update_mode)
 					{
@@ -678,14 +678,14 @@
 					}
 
 				}
-				elseif (isset($HTTP_POST_VARS['ws_update']) && tool_admin_applications_check('tool_main_ws'))
+				elseif (isset($_POST['ws_update']) && tool_admin_applications_check('tool_main_ws'))
 				{
-					$shard_ws_su			= $HTTP_POST_VARS['ws_su'];
-					$shard_ws_shard_name	= $HTTP_POST_VARS['ws_shard_name'];
-					$shard_ws_shard_id		= $HTTP_POST_VARS['ws_shard_id'];
+					$shard_ws_su			= $_POST['ws_su'];
+					$shard_ws_shard_name	= $_POST['ws_shard_name'];
+					$shard_ws_shard_id		= $_POST['ws_shard_id'];
 
-					$shard_ws_state			= $HTTP_POST_VARS['ws_state_'. $shard_ws_shard_name];
-					$shard_ws_motd			= $HTTP_POST_VARS['ws_motd_'. $shard_ws_shard_name];
+					$shard_ws_state			= $_POST['ws_state_'. $shard_ws_shard_name];
+					$shard_ws_motd			= $_POST['ws_motd_'. $shard_ws_shard_name];
 
 					// coders don't know how to write it seems
 					// ace: now they know if ($shard_ws_state == 'close') $shard_ws_state = 'closed';
@@ -705,9 +705,9 @@
 					$tpl->clear_assign('tool_execute_result');
 					nt_sleep(VIEW_DELAY);
 				}
-				elseif (isset($HTTP_POST_VARS['services_update']))
+				elseif (isset($_POST['services_update']))
 				{
-					$service_update_mode	= $HTTP_POST_VARS['services_update'];
+					$service_update_mode	= $_POST['services_update'];
 
 					switch ($service_update_mode)
 					{
@@ -997,9 +997,9 @@
 						case 'execute':
 							if (tool_admin_applications_check('tool_main_execute'))
 							{
-								if (isset($HTTP_POST_VARS['service_command']))
+								if (isset($_POST['service_command']))
 								{
-									$service_command = trim(stripslashes(html_entity_decode($HTTP_POST_VARS['service_command'], ENT_QUOTES)));
+									$service_command = trim(stripslashes(html_entity_decode($_POST['service_command'], ENT_QUOTES)));
 									$service_list = tool_main_get_checked_services();
 									if (sizeof($service_list))
 									{
diff -r 5ea540631a02 code/ryzom/tools/server/admin/tool_administration.php
--- a/code/ryzom/tools/server/admin/tool_administration.php	Mon Feb 21 19:58:57 2011 +0100
+++ b/code/ryzom/tools/server/admin/tool_administration.php	Wed Feb 23 10:55:14 2011 +0000
@@ -10,7 +10,7 @@
 	if (!isset($NELTOOL['GET_VARS']['toolmode']))	$NELTOOL['GET_VARS']['toolmode'] = 'help';
 	$tool_menu_item = tool_admin_menu_get_item_from_key($NELTOOL['GET_VARS']['toolmode']);
 
-	$IE_CHECK = strpos($HTTP_SERVER_VARS['HTTP_USER_AGENT'], 'MSIE');
+	$IE_CHECK = strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE');
 
 	$tpl->assign('tool_title',		'Administration&nbsp;/&nbsp;'. $tool_menu_item['title']);
 	$tpl->assign('tool_menu',		tool_admin_menu_get_list($IE_CHECK)); //$tool_admin_menu); // defined in 'functions_tool_administration.php'
@@ -42,7 +42,7 @@
 			$log_step 	= 30;
 			$num_logs	= tool_admin_logs_get_count();
 
-			if (isset($HTTP_GET_VARS['page']))	$log_start = $HTTP_GET_VARS['page'];
+			if (isset($_GET['page']))	$log_start = $_GET['page'];
 
 			$tool_log_list	= tool_admin_logs_get_list($log_start * $log_step, $log_step);
 
@@ -76,8 +76,8 @@
 			if (!tool_admin_applications_check('tool_admin_user'))	nt_common_redirect('index.php');
 
 			$tool_action = null;
-			if (isset($HTTP_POST_VARS['toolaction']))		$tool_action = $HTTP_POST_VARS['toolaction'];
-			elseif (isset($HTTP_GET_VARS['toolaction']))	$tool_action = $HTTP_GET_VARS['toolaction'];
+			if (isset($_POST['toolaction']))		$tool_action = $_POST['toolaction'];
+			elseif (isset($_GET['toolaction']))	$tool_action = $_GET['toolaction'];
 
 			switch ($tool_action)
 			{
@@ -85,12 +85,12 @@
 
 					if ($tool_action == 'update applications')
 					{
-						$tool_user_update_id			= $HTTP_POST_VARS['tool_form_user_id'];
-						$tool_user_update_appl_ids		= $HTTP_POST_VARS['tool_form_application_ids'];
+						$tool_user_update_id			= $_POST['tool_form_user_id'];
+						$tool_user_update_appl_ids		= $_POST['tool_form_application_ids'];
 
 						tool_admin_users_applications_update($tool_user_update_id, $tool_user_update_appl_ids);
 
-						$HTTP_GET_VARS['user_id'] = $tool_user_update_id;
+						$_GET['user_id'] = $tool_user_update_id;
 					}
 
 					// break;
@@ -99,15 +99,15 @@
 
 					if ($tool_action == 'update domains')
 					{
-						$tool_user_update_id			= $HTTP_POST_VARS['tool_form_user_id'];
-						$tool_user_update_domain_ids	= $HTTP_POST_VARS['tool_form_domain_ids'];
+						$tool_user_update_id			= $_POST['tool_form_user_id'];
+						$tool_user_update_domain_ids	= $_POST['tool_form_domain_ids'];
 
 						$tool_user_data 				= tool_admin_users_get_id($tool_user_update_id);
 						$tool_user_group_id				= $tool_user_data['user_group_id'];
 
 						tool_admin_users_domains_update($tool_user_update_id, $tool_user_group_id, $tool_user_update_domain_ids);
 
-						$HTTP_GET_VARS['user_id']		= $tool_user_update_id;
+						$_GET['user_id']		= $tool_user_update_id;
 					}
 
 					//break;
@@ -116,15 +116,15 @@
 
 					if ($tool_action == 'update shards')
 					{
-						$tool_user_update_id			= $HTTP_POST_VARS['tool_form_user_id'];
-						$tool_user_update_shard_ids		= $HTTP_POST_VARS['tool_form_shard_ids'];
+						$tool_user_update_id			= $_POST['tool_form_user_id'];
+						$tool_user_update_shard_ids		= $_POST['tool_form_shard_ids'];
 
 						$tool_user_data 				= tool_admin_users_get_id($tool_user_update_id);
 						$tool_user_group_id				= $tool_user_data['user_group_id'];
 
 						tool_admin_users_shards_update($tool_user_update_id, $tool_user_group_id, $tool_user_update_shard_ids);
 
-						$HTTP_GET_VARS['user_id']		= $tool_user_update_id;
+						$_GET['user_id']		= $tool_user_update_id;
 					}
 
 					//break;
@@ -138,11 +138,11 @@
 
 					if ($tool_action == 'update')
 					{
-						$tool_user_update_id		= $HTTP_POST_VARS['tool_form_user_id'];
-						$tool_user_update_name		= $HTTP_POST_VARS['tool_form_user_name'];
-						$tool_user_update_password	= $HTTP_POST_VARS['tool_form_user_password'];
-						$tool_user_update_group		= $HTTP_POST_VARS['tool_form_user_group'];
-						$tool_user_update_active	= $HTTP_POST_VARS['tool_form_user_active'];
+						$tool_user_update_id		= $_POST['tool_form_user_id'];
+						$tool_user_update_name		= $_POST['tool_form_user_name'];
+						$tool_user_update_password	= $_POST['tool_form_user_password'];
+						$tool_user_update_group		= $_POST['tool_form_user_group'];
+						$tool_user_update_active	= $_POST['tool_form_user_active'];
 
 						$tool_error = tool_admin_users_update($tool_user_update_id, $tool_user_update_name, $tool_user_update_password, $tool_user_update_group, $tool_user_update_active);
 						if ($tool_error != "")
@@ -150,7 +150,7 @@
 							$tpl->assign('tool_alert_message',	$tool_error);
 						}
 
-						$HTTP_GET_VARS['user_id'] = $tool_user_update_id;
+						$_GET['user_id'] = $tool_user_update_id;
 					}
 
 					//break;
@@ -162,7 +162,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_user_edit_id		= $HTTP_GET_VARS['user_id'];
+					$tool_user_edit_id		= $_GET['user_id'];
 					$tool_user_edit_data 	= tool_admin_users_get_id($tool_user_edit_id);
 					$tool_user_group_id		= $tool_user_edit_data['user_group_id'];
 
@@ -199,7 +199,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_user_delete_id		= $HTTP_POST_VARS['tool_form_user_id'];
+					$tool_user_delete_id		= $_POST['tool_form_user_id'];
 					if (!($tool_user_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid user!");
@@ -222,10 +222,10 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_user_create_name		= $HTTP_POST_VARS['tool_form_user_name'];
-					$tool_user_create_password	= $HTTP_POST_VARS['tool_form_user_password'];
-					$tool_user_create_group		= $HTTP_POST_VARS['tool_form_user_group'];
-					$tool_user_create_active	= $HTTP_POST_VARS['tool_form_user_active'];
+					$tool_user_create_name		= $_POST['tool_form_user_name'];
+					$tool_user_create_password	= $_POST['tool_form_user_password'];
+					$tool_user_create_group		= $_POST['tool_form_user_group'];
+					$tool_user_create_active	= $_POST['tool_form_user_active'];
 
 					$tool_error = tool_admin_users_add($tool_user_create_name, $tool_user_create_password, $tool_user_create_group, $tool_user_create_active);
 					if ($tool_error != "")
@@ -255,8 +255,8 @@
 			if (!tool_admin_applications_check('tool_admin_group'))	nt_common_redirect('index.php');
 
 			$tool_action = null;
-			if (isset($HTTP_POST_VARS['toolaction']))		$tool_action = $HTTP_POST_VARS['toolaction'];
-			elseif (isset($HTTP_GET_VARS['toolaction']))	$tool_action = $HTTP_GET_VARS['toolaction'];
+			if (isset($_POST['toolaction']))		$tool_action = $_POST['toolaction'];
+			elseif (isset($_GET['toolaction']))	$tool_action = $_GET['toolaction'];
 
 			switch ($tool_action)
 			{
@@ -264,12 +264,12 @@
 
 					if ($tool_action == 'update applications')
 					{
-						$tool_group_update_id			= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_update_appl_ids		= $HTTP_POST_VARS['tool_form_application_ids'];
+						$tool_group_update_id			= $_POST['tool_form_group_id'];
+						$tool_group_update_appl_ids		= $_POST['tool_form_application_ids'];
 
 						tool_admin_groups_applications_update($tool_group_update_id, $tool_group_update_appl_ids);
 
-						$HTTP_GET_VARS['group_id'] = $tool_group_update_id;
+						$_GET['group_id'] = $tool_group_update_id;
 					}
 
 					// break;
@@ -278,12 +278,12 @@
 
 					if ($tool_action == 'update domains')
 					{
-						$tool_group_update_id			= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_update_domain_ids	= $HTTP_POST_VARS['tool_form_domain_ids'];
+						$tool_group_update_id			= $_POST['tool_form_group_id'];
+						$tool_group_update_domain_ids	= $_POST['tool_form_domain_ids'];
 
 						tool_admin_groups_domains_update($tool_group_update_id, $tool_group_update_domain_ids);
 
-						$HTTP_GET_VARS['group_id'] = $tool_group_update_id;
+						$_GET['group_id'] = $tool_group_update_id;
 					}
 
 					//break;
@@ -292,12 +292,12 @@
 
 					if ($tool_action == 'update shards')
 					{
-						$tool_group_update_id			= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_update_shard_ids	= $HTTP_POST_VARS['tool_form_shard_ids'];
+						$tool_group_update_id			= $_POST['tool_form_group_id'];
+						$tool_group_update_shard_ids	= $_POST['tool_form_shard_ids'];
 
 						tool_admin_groups_shards_update($tool_group_update_id, $tool_group_update_shard_ids);
 
-						$HTTP_GET_VARS['group_id']		= $tool_group_update_id;
+						$_GET['group_id']		= $tool_group_update_id;
 					}
 
 					//break;
@@ -311,11 +311,11 @@
 
 					if ($tool_action == 'update')
 					{
-						$tool_group_update_id		= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_update_name		= $HTTP_POST_VARS['tool_form_group_name'];
-						$tool_group_update_level	= $HTTP_POST_VARS['tool_form_group_level'];
-						$tool_group_update_default	= $HTTP_POST_VARS['tool_form_group_default'];
-						$tool_group_update_active	= $HTTP_POST_VARS['tool_form_group_active'];
+						$tool_group_update_id		= $_POST['tool_form_group_id'];
+						$tool_group_update_name		= $_POST['tool_form_group_name'];
+						$tool_group_update_level	= $_POST['tool_form_group_level'];
+						$tool_group_update_default	= $_POST['tool_form_group_default'];
+						$tool_group_update_active	= $_POST['tool_form_group_active'];
 
 						$tool_error = tool_admin_groups_update($tool_group_update_id, $tool_group_update_name, $tool_group_update_level, $tool_group_update_default, $tool_group_update_active);
 						if ($tool_error != "")
@@ -323,7 +323,7 @@
 							$tpl->assign('tool_alert_message',	$tool_error);
 						}
 
-						$HTTP_GET_VARS['group_id'] = $tool_group_update_id;
+						$_GET['group_id'] = $tool_group_update_id;
 					}
 
 					//break;
@@ -337,8 +337,8 @@
 
 					if ($tool_action == 'update default domain')
 					{
-						$tool_group_update_id		= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_default_domain	= $HTTP_POST_VARS['tool_form_domain_default'];
+						$tool_group_update_id		= $_POST['tool_form_group_id'];
+						$tool_group_default_domain	= $_POST['tool_form_domain_default'];
 
 						$tool_error = tool_admin_groups_update_default_domain($tool_group_update_id, $tool_group_default_domain);
 						if ($tool_error != "")
@@ -346,7 +346,7 @@
 							$tpl->assign('tool_alert_message',	$tool_error);
 						}
 
-						$HTTP_GET_VARS['group_id'] = $tool_group_update_id;
+						$_GET['group_id'] = $tool_group_update_id;
 					}
 
 					//break;
@@ -360,8 +360,8 @@
 
 					if ($tool_action == 'update default shard')
 					{
-						$tool_group_update_id		= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_default_shard	= $HTTP_POST_VARS['tool_form_shard_default'];
+						$tool_group_update_id		= $_POST['tool_form_group_id'];
+						$tool_group_default_shard	= $_POST['tool_form_shard_default'];
 
 						$tool_error = tool_admin_groups_update_default_shard($tool_group_update_id, $tool_group_default_shard);
 						if ($tool_error != "")
@@ -369,7 +369,7 @@
 							$tpl->assign('tool_alert_message',	$tool_error);
 						}
 
-						$HTTP_GET_VARS['group_id'] = $tool_group_update_id;
+						$_GET['group_id'] = $tool_group_update_id;
 					}
 
 					//break;
@@ -383,8 +383,8 @@
 
 					if ($tool_action == 'update default application')
 					{
-						$tool_group_update_id			= $HTTP_POST_VARS['tool_form_group_id'];
-						$tool_group_default_application	= $HTTP_POST_VARS['tool_form_application_default'];
+						$tool_group_update_id			= $_POST['tool_form_group_id'];
+						$tool_group_default_application	= $_POST['tool_form_application_default'];
 
 						$tool_error = tool_admin_groups_update_default_application($tool_group_update_id, $tool_group_default_application);
 						if ($tool_error != "")
@@ -392,7 +392,7 @@
 							$tpl->assign('tool_alert_message',	$tool_error);
 						}
 
-						$HTTP_GET_VARS['group_id'] = $tool_group_update_id;
+						$_GET['group_id'] = $tool_group_update_id;
 					}
 
 					//break;
@@ -404,7 +404,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_group_edit_id		= $HTTP_GET_VARS['group_id'];
+					$tool_group_edit_id		= $_GET['group_id'];
 					$tool_group_edit_data 	= tool_admin_groups_get_id($tool_group_edit_id);
 					$tpl->assign('tool_group_edit_data',	$tool_group_edit_data);
 
@@ -439,7 +439,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_group_delete_id		= $HTTP_POST_VARS['tool_form_group_id'];
+					$tool_group_delete_id		= $_POST['tool_form_group_id'];
 					if (!($tool_group_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid group!");
@@ -462,10 +462,10 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_group_create_name		= $HTTP_POST_VARS['tool_form_group_name'];
-					$tool_group_create_level	= $HTTP_POST_VARS['tool_form_group_level'];
-					$tool_group_create_default	= $HTTP_POST_VARS['tool_form_group_default'];
-					$tool_group_create_active	= $HTTP_POST_VARS['tool_form_group_active'];
+					$tool_group_create_name		= $_POST['tool_form_group_name'];
+					$tool_group_create_level	= $_POST['tool_form_group_level'];
+					$tool_group_create_default	= $_POST['tool_form_group_default'];
+					$tool_group_create_active	= $_POST['tool_form_group_active'];
 
 					$tool_error = tool_admin_groups_add($tool_group_create_name, $tool_group_create_level, $tool_group_create_default, $tool_group_create_active);
 					if ($tool_error != "")
@@ -492,8 +492,8 @@
 			if (!tool_admin_applications_check('tool_admin_application'))	nt_common_redirect('index.php');
 
 			$tool_action = null;
-			if (isset($HTTP_POST_VARS['toolaction']))		$tool_action = $HTTP_POST_VARS['toolaction'];
-			elseif (isset($HTTP_GET_VARS['toolaction']))	$tool_action = $HTTP_GET_VARS['toolaction'];
+			if (isset($_POST['toolaction']))		$tool_action = $_POST['toolaction'];
+			elseif (isset($_GET['toolaction']))	$tool_action = $_GET['toolaction'];
 
 			switch ($tool_action)
 			{
@@ -504,13 +504,13 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_application_update_id				= $HTTP_POST_VARS['tool_form_application_id'];
-					$tool_application_update_name			= $HTTP_POST_VARS['tool_form_application_name'];
-					$tool_application_update_uri			= $HTTP_POST_VARS['tool_form_application_uri'];
-					$tool_application_update_restriction	= $HTTP_POST_VARS['tool_form_application_restriction'];
-					$tool_application_update_icon			= $HTTP_POST_VARS['tool_form_application_icon'];
-					$tool_application_update_order			= $HTTP_POST_VARS['tool_form_application_order'];
-					$tool_application_update_visible		= $HTTP_POST_VARS['tool_form_application_visible'];
+					$tool_application_update_id				= $_POST['tool_form_application_id'];
+					$tool_application_update_name			= $_POST['tool_form_application_name'];
+					$tool_application_update_uri			= $_POST['tool_form_application_uri'];
+					$tool_application_update_restriction	= $_POST['tool_form_application_restriction'];
+					$tool_application_update_icon			= $_POST['tool_form_application_icon'];
+					$tool_application_update_order			= $_POST['tool_form_application_order'];
+					$tool_application_update_visible		= $_POST['tool_form_application_visible'];
 
 					$tool_error = tool_admin_applications_update($tool_application_update_id, $tool_application_update_name, $tool_application_update_uri, $tool_application_update_restriction, $tool_application_update_icon, $tool_application_update_order, $tool_application_update_visible);
 					if ($tool_error != "")
@@ -518,7 +518,7 @@
 						$tpl->assign('tool_alert_message',	$tool_error);
 					}
 
-					$HTTP_GET_VARS['application_id'] = $tool_application_update_id;
+					$_GET['application_id'] = $tool_application_update_id;
 
 					//break;
 
@@ -529,7 +529,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_application_edit_id		= $HTTP_GET_VARS['application_id'];
+					$tool_application_edit_id		= $_GET['application_id'];
 					$tool_application_edit_data 	= tool_admin_applications_get_id($tool_application_edit_id);
 					$tpl->assign('tool_application_edit_data',	$tool_application_edit_data);
 
@@ -542,7 +542,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_application_delete_id		= $HTTP_POST_VARS['tool_form_application_id'];
+					$tool_application_delete_id		= $_POST['tool_form_application_id'];
 					if (!($tool_application_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid application!");
@@ -561,12 +561,12 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_application_create_name			= $HTTP_POST_VARS['tool_form_application_name'];
-					$tool_application_create_uri			= $HTTP_POST_VARS['tool_form_application_uri'];
-					$tool_application_create_restriction	= $HTTP_POST_VARS['tool_form_application_restriction'];
-					$tool_application_create_icon			= $HTTP_POST_VARS['tool_form_application_icon'];
-					$tool_application_create_order			= $HTTP_POST_VARS['tool_form_application_order'];
-					$tool_application_create_visible		= $HTTP_POST_VARS['tool_form_application_visible'];
+					$tool_application_create_name			= $_POST['tool_form_application_name'];
+					$tool_application_create_uri			= $_POST['tool_form_application_uri'];
+					$tool_application_create_restriction	= $_POST['tool_form_application_restriction'];
+					$tool_application_create_icon			= $_POST['tool_form_application_icon'];
+					$tool_application_create_order			= $_POST['tool_form_application_order'];
+					$tool_application_create_visible		= $_POST['tool_form_application_visible'];
 
 					$tool_error = tool_admin_applications_add($tool_application_create_name, $tool_application_create_uri, $tool_application_create_restriction, $tool_application_create_icon, $tool_application_create_order, $tool_application_create_visible);
 					if ($tool_error != "")
@@ -592,8 +592,8 @@
 			if (!tool_admin_applications_check('tool_admin_domain'))	nt_common_redirect('index.php');
 
 			$tool_action = null;
-			if (isset($HTTP_POST_VARS['toolaction']))		$tool_action = $HTTP_POST_VARS['toolaction'];
-			elseif (isset($HTTP_GET_VARS['toolaction']))	$tool_action = $HTTP_GET_VARS['toolaction'];
+			if (isset($_POST['toolaction']))		$tool_action = $_POST['toolaction'];
+			elseif (isset($_GET['toolaction']))	$tool_action = $_GET['toolaction'];
 
 			switch ($tool_action)
 			{
@@ -604,18 +604,18 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_domain_update_id				= $HTTP_POST_VARS['tool_form_domain_id'];
-					$tool_domain_update_name			= $HTTP_POST_VARS['tool_form_domain_name'];
-					$tool_domain_update_application		= $HTTP_POST_VARS['tool_form_domain_application'];
-					$tool_domain_update_as_host			= $HTTP_POST_VARS['tool_form_domain_as_host'];
-					$tool_domain_update_as_port			= $HTTP_POST_VARS['tool_form_domain_as_port'];
-					$tool_domain_update_mfs_web			= $HTTP_POST_VARS['tool_form_domain_mfs_web'];
-					$tool_domain_update_rrd_path		= $HTTP_POST_VARS['tool_form_domain_rrd_path'];
-					$tool_domain_update_las_admin_path	= $HTTP_POST_VARS['tool_form_domain_las_admin_path'];
-					$tool_domain_update_las_local_path	= $HTTP_POST_VARS['tool_form_domain_las_local_path'];
-					$tool_domain_update_sql_string		= $HTTP_POST_VARS['tool_form_domain_sql_string'];
-					$tool_domain_update_cs_sql_string	= $HTTP_POST_VARS['tool_form_domain_cs_sql_string'];
-					$tool_domain_update_hd_check		= $HTTP_POST_VARS['tool_form_domain_hd_check'];
+					$tool_domain_update_id				= $_POST['tool_form_domain_id'];
+					$tool_domain_update_name			= $_POST['tool_form_domain_name'];
+					$tool_domain_update_application		= $_POST['tool_form_domain_application'];
+					$tool_domain_update_as_host			= $_POST['tool_form_domain_as_host'];
+					$tool_domain_update_as_port			= $_POST['tool_form_domain_as_port'];
+					$tool_domain_update_mfs_web			= $_POST['tool_form_domain_mfs_web'];
+					$tool_domain_update_rrd_path		= $_POST['tool_form_domain_rrd_path'];
+					$tool_domain_update_las_admin_path	= $_POST['tool_form_domain_las_admin_path'];
+					$tool_domain_update_las_local_path	= $_POST['tool_form_domain_las_local_path'];
+					$tool_domain_update_sql_string		= $_POST['tool_form_domain_sql_string'];
+					$tool_domain_update_cs_sql_string	= $_POST['tool_form_domain_cs_sql_string'];
+					$tool_domain_update_hd_check		= $_POST['tool_form_domain_hd_check'];
 
 					$tool_error = tool_admin_domains_update($tool_domain_update_id, $tool_domain_update_name, $tool_domain_update_application,
 															$tool_domain_update_as_host, $tool_domain_update_as_port, $tool_domain_update_rrd_path,
@@ -627,7 +627,7 @@
 						$tpl->assign('tool_alert_message',	$tool_error);
 					}
 
-					$HTTP_GET_VARS['domain_id'] = $tool_domain_update_id;
+					$_GET['domain_id'] = $tool_domain_update_id;
 
 					//break;
 
@@ -638,17 +638,17 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					if (isset($HTTP_POST_VARS['tool_form_domain_nel_id']))
+					if (isset($_POST['tool_form_domain_nel_id']))
 					{
-						$tool_domain_nel_update_id		= $HTTP_POST_VARS['tool_form_domain_nel_id'];
-						$tool_domain_nel_update_name	= $HTTP_POST_VARS['tool_form_domain_nel_name'];
-						$tool_domain_nel_update_status	= $HTTP_POST_VARS['tool_form_domain_nel_status'];
-						//$tool_domain_nel_update_version	= $HTTP_POST_VARS['tool_form_domain_nel_version'];
+						$tool_domain_nel_update_id		= $_POST['tool_form_domain_nel_id'];
+						$tool_domain_nel_update_name	= $_POST['tool_form_domain_nel_name'];
+						$tool_domain_nel_update_status	= $_POST['tool_form_domain_nel_status'];
+						//$tool_domain_nel_update_version	= $_POST['tool_form_domain_nel_version'];
 
 						//tool_admin_domains_update_nel($tool_domain_nel_update_id, $tool_domain_nel_update_name, $tool_domain_nel_update_version, $tool_domain_nel_update_status);
 						tool_admin_domains_update_nel($tool_domain_nel_update_id, $tool_domain_nel_update_name, $tool_domain_nel_update_status);
 
-						$HTTP_GET_VARS['domain_id'] = $HTTP_POST_VARS['tool_form_domain_id'];
+						$_GET['domain_id'] = $_POST['tool_form_domain_id'];
 					}
 
 					// break;
@@ -660,7 +660,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_domain_edit_id	= $HTTP_GET_VARS['domain_id'];
+					$tool_domain_edit_id	= $_GET['domain_id'];
 					$tool_domain_edit_data 	= tool_admin_domains_get_id($tool_domain_edit_id);
 					$tpl->assign('tool_domain_edit_data',	$tool_domain_edit_data);
 
@@ -682,7 +682,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_domain_delete_id	= $HTTP_POST_VARS['tool_form_domain_id'];
+					$tool_domain_delete_id	= $_POST['tool_form_domain_id'];
 					if (!($tool_domain_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid domain!");
@@ -701,17 +701,17 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_domain_create_name			= $HTTP_POST_VARS['tool_form_domain_name'];
-					$tool_domain_create_application		= $HTTP_POST_VARS['tool_form_domain_application'];
-					$tool_domain_create_as_host			= $HTTP_POST_VARS['tool_form_domain_as_host'];
-					$tool_domain_create_as_port			= $HTTP_POST_VARS['tool_form_domain_as_port'];
-					$tool_domain_create_mfs_web			= $HTTP_POST_VARS['tool_form_domain_mfs_web'];
-					$tool_domain_create_rrd_path		= $HTTP_POST_VARS['tool_form_domain_rrd_path'];
-					$tool_domain_create_las_admin_path	= $HTTP_POST_VARS['tool_form_domain_las_admin_path'];
-					$tool_domain_create_las_local_path	= $HTTP_POST_VARS['tool_form_domain_las_local_path'];
-					$tool_domain_create_sql_string		= $HTTP_POST_VARS['tool_form_domain_sql_string'];
-					$tool_domain_create_cs_sql_string	= $HTTP_POST_VARS['tool_form_domain_cs_sql_string'];
-					$tool_domain_create_hd_check		= $HTTP_POST_VARS['tool_form_domain_hd_check'];
+					$tool_domain_create_name			= $_POST['tool_form_domain_name'];
+					$tool_domain_create_application		= $_POST['tool_form_domain_application'];
+					$tool_domain_create_as_host			= $_POST['tool_form_domain_as_host'];
+					$tool_domain_create_as_port			= $_POST['tool_form_domain_as_port'];
+					$tool_domain_create_mfs_web			= $_POST['tool_form_domain_mfs_web'];
+					$tool_domain_create_rrd_path		= $_POST['tool_form_domain_rrd_path'];
+					$tool_domain_create_las_admin_path	= $_POST['tool_form_domain_las_admin_path'];
+					$tool_domain_create_las_local_path	= $_POST['tool_form_domain_las_local_path'];
+					$tool_domain_create_sql_string		= $_POST['tool_form_domain_sql_string'];
+					$tool_domain_create_cs_sql_string	= $_POST['tool_form_domain_cs_sql_string'];
+					$tool_domain_create_hd_check		= $_POST['tool_form_domain_hd_check'];
 
 					$tool_error = tool_admin_domains_add(	$tool_domain_create_name, $tool_domain_create_application, $tool_domain_create_as_host,
 															$tool_domain_create_as_port, $tool_domain_create_rrd_path,
@@ -741,8 +741,8 @@
 			if (!tool_admin_applications_check('tool_admin_shard'))	nt_common_redirect('index.php');
 
 			$tool_action = null;
-			if (isset($HTTP_POST_VARS['toolaction']))		$tool_action = $HTTP_POST_VARS['toolaction'];
-			elseif (isset($HTTP_GET_VARS['toolaction']))	$tool_action = $HTTP_GET_VARS['toolaction'];
+			if (isset($_POST['toolaction']))		$tool_action = $_POST['toolaction'];
+			elseif (isset($_GET['toolaction']))	$tool_action = $_GET['toolaction'];
 
 			switch ($tool_action)
 			{
@@ -753,11 +753,11 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_shard_update_id			= $HTTP_POST_VARS['tool_form_shard_id'];
-					$tool_shard_update_name			= $HTTP_POST_VARS['tool_form_shard_name'];
-					$tool_shard_update_as_id		= $HTTP_POST_VARS['tool_form_shard_as_id'];
-					$tool_shard_update_domain_id	= $HTTP_POST_VARS['tool_form_shard_domain_id'];
-					$tool_shard_update_language		= $HTTP_POST_VARS['tool_form_shard_language'];
+					$tool_shard_update_id			= $_POST['tool_form_shard_id'];
+					$tool_shard_update_name			= $_POST['tool_form_shard_name'];
+					$tool_shard_update_as_id		= $_POST['tool_form_shard_as_id'];
+					$tool_shard_update_domain_id	= $_POST['tool_form_shard_domain_id'];
+					$tool_shard_update_language		= $_POST['tool_form_shard_language'];
 
 					$tool_error = tool_admin_shards_update($tool_shard_update_id, $tool_shard_update_name, $tool_shard_update_as_id, $tool_shard_update_domain_id, $tool_shard_update_language);
 					if ($tool_error != "")
@@ -765,7 +765,7 @@
 						$tpl->assign('tool_alert_message',	$tool_error);
 					}
 
-					$HTTP_GET_VARS['shard_id'] = $tool_shard_update_id;
+					$_GET['shard_id'] = $tool_shard_update_id;
 
 					//break;
 
@@ -776,7 +776,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_shard_edit_id		= $HTTP_GET_VARS['shard_id'];
+					$tool_shard_edit_id		= $_GET['shard_id'];
 					$tool_shard_edit_data 	= tool_admin_shards_get_id($tool_shard_edit_id);
 					$tpl->assign('tool_shard_edit_data',	$tool_shard_edit_data);
 
@@ -789,7 +789,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_shard_delete_id	= $HTTP_POST_VARS['tool_form_shard_id'];
+					$tool_shard_delete_id	= $_POST['tool_form_shard_id'];
 					if (!($tool_shard_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid shard!");
@@ -808,10 +808,10 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_shard_create_name			= $HTTP_POST_VARS['tool_form_shard_name'];
-					$tool_shard_create_as_id		= $HTTP_POST_VARS['tool_form_shard_as_id'];
-					$tool_shard_create_domain_id	= $HTTP_POST_VARS['tool_form_shard_domain_id'];
-					$tool_shard_create_language		= $HTTP_POST_VARS['tool_form_shard_language'];
+					$tool_shard_create_name			= $_POST['tool_form_shard_name'];
+					$tool_shard_create_as_id		= $_POST['tool_form_shard_as_id'];
+					$tool_shard_create_domain_id	= $_POST['tool_form_shard_domain_id'];
+					$tool_shard_create_language		= $_POST['tool_form_shard_language'];
 
 					$tool_error = tool_admin_shards_add($tool_shard_create_name, $tool_shard_create_as_id, $tool_shard_create_domain_id, $tool_shard_create_language);
 					if ($tool_error != "")
@@ -842,8 +842,8 @@
 			if (!tool_admin_applications_check('tool_admin_restart'))	nt_common_redirect('index.php');
 
 			$tool_action = null;
-			if (isset($HTTP_POST_VARS['toolaction']))		$tool_action = $HTTP_POST_VARS['toolaction'];
-			elseif (isset($HTTP_GET_VARS['toolaction']))	$tool_action = $HTTP_GET_VARS['toolaction'];
+			if (isset($_POST['toolaction']))		$tool_action = $_POST['toolaction'];
+			elseif (isset($_GET['toolaction']))	$tool_action = $_GET['toolaction'];
 
 			switch ($tool_action)
 			{
@@ -854,10 +854,10 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_restart_update_id			= $HTTP_POST_VARS['tool_form_restart_id'];
-					$tool_restart_update_name		= $HTTP_POST_VARS['tool_form_restart_name'];
-					$tool_restart_update_services	= $HTTP_POST_VARS['tool_form_restart_services'];
-					$tool_restart_update_order		= $HTTP_POST_VARS['tool_form_restart_order'];
+					$tool_restart_update_id			= $_POST['tool_form_restart_id'];
+					$tool_restart_update_name		= $_POST['tool_form_restart_name'];
+					$tool_restart_update_services	= $_POST['tool_form_restart_services'];
+					$tool_restart_update_order		= $_POST['tool_form_restart_order'];
 
 					$tool_error = tool_admin_restarts_update($tool_restart_update_id, $tool_restart_update_name, $tool_restart_update_services, $tool_restart_update_order);
 					if ($tool_error != "")
@@ -865,7 +865,7 @@
 						$tpl->assign('tool_alert_message',	$tool_error);
 					}
 
-					$HTTP_GET_VARS['restart_id'] = $tool_restart_update_id;
+					$_GET['restart_id'] = $tool_restart_update_id;
 
 					//break;
 
@@ -876,7 +876,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_restart_edit_id		= $HTTP_GET_VARS['restart_id'];
+					$tool_restart_edit_id		= $_GET['restart_id'];
 					$tool_restart_edit_data 	= tool_admin_restarts_get_id($tool_restart_edit_id);
 					$tpl->assign('tool_restart_edit_data',	$tool_restart_edit_data);
 
@@ -889,7 +889,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_restart_delete_id	= $HTTP_POST_VARS['tool_form_restart_id'];
+					$tool_restart_delete_id	= $_POST['tool_form_restart_id'];
 					if (!($tool_restart_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid restart group!");
@@ -908,9 +908,9 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_restart_create_name		= $HTTP_POST_VARS['tool_form_restart_name'];
-					$tool_restart_create_services	= $HTTP_POST_VARS['tool_form_restart_services'];
-					$tool_restart_create_order		= $HTTP_POST_VARS['tool_form_restart_order'];
+					$tool_restart_create_name		= $_POST['tool_form_restart_name'];
+					$tool_restart_create_services	= $_POST['tool_form_restart_services'];
+					$tool_restart_create_order		= $_POST['tool_form_restart_order'];
 
 					$tool_error = tool_admin_restarts_add($tool_restart_create_name, $tool_restart_create_services, $tool_restart_create_order);
 					if ($tool_error != "")
@@ -927,10 +927,10 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_message_update_id			= $HTTP_POST_VARS['tool_form_message_id'];
-					$tool_message_update_name		= $HTTP_POST_VARS['tool_form_message_name'];
-					$tool_message_update_value		= $HTTP_POST_VARS['tool_form_message_value'];
-					$tool_message_update_lang		= $HTTP_POST_VARS['tool_form_message_lang'];
+					$tool_message_update_id			= $_POST['tool_form_message_id'];
+					$tool_message_update_name		= $_POST['tool_form_message_name'];
+					$tool_message_update_value		= $_POST['tool_form_message_value'];
+					$tool_message_update_lang		= $_POST['tool_form_message_lang'];
 
 					$tool_error = tool_admin_restart_messages_update($tool_message_update_id, $tool_message_update_name, $tool_message_update_value, $tool_message_update_lang);
 					if ($tool_error != "")
@@ -938,7 +938,7 @@
 						$tpl->assign('tool_alert_message',	$tool_error);
 					}
 
-					$HTTP_GET_VARS['msg_id'] = $tool_message_update_id;
+					$_GET['msg_id'] = $tool_message_update_id;
 
 					//break;
 
@@ -949,7 +949,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_message_edit_id		= $HTTP_GET_VARS['msg_id'];
+					$tool_message_edit_id		= $_GET['msg_id'];
 					$tool_message_edit_data 	= tool_admin_restart_messages_get_id($tool_message_edit_id);
 					$tpl->assign('tool_message_edit_data',	$tool_message_edit_data);
 
@@ -962,7 +962,7 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_message_delete_id	= $HTTP_POST_VARS['tool_form_message_id'];
+					$tool_message_delete_id	= $_POST['tool_form_message_id'];
 					if (!($tool_message_delete_id > 0))
 					{
 						$tpl->assign('tool_alert_message',	"/!\ Error: invalid restart message!");
@@ -982,9 +982,9 @@
 					 * -------------------------------------------------------------------------------------------
 					 */
 
-					$tool_message_create_name		= $HTTP_POST_VARS['tool_form_message_name'];
-					$tool_message_create_value		= $HTTP_POST_VARS['tool_form_message_value'];
-					$tool_message_create_lang		= $HTTP_POST_VARS['tool_form_message_lang'];
+					$tool_message_create_name		= $_POST['tool_form_message_name'];
+					$tool_message_create_value		= $_POST['tool_form_message_value'];
+					$tool_message_create_lang		= $_POST['tool_form_message_lang'];
 
 					$tool_error = tool_admin_restart_messages_add($tool_message_create_name, $tool_message_create_value, $tool_message_create_lang);
 					if ($tool_error != "")
@@ -1009,4 +1009,4 @@
 
 	$tpl->display($tool_menu_item['tpl']);
 
-?>
\ No newline at end of file
+?>
diff -r 5ea540631a02 code/ryzom/tools/server/admin/tool_graphs.php
--- a/code/ryzom/tools/server/admin/tool_graphs.php	Mon Feb 21 19:58:57 2011 +0100
+++ b/code/ryzom/tools/server/admin/tool_graphs.php	Wed Feb 23 10:55:14 2011 +0000
@@ -82,11 +82,11 @@
 
 
 	$current_refresh_rate = nt_auth_get_session_var('current_refresh_rate');
-	if (isset($HTTP_POST_VARS['services_refresh']))
+	if (isset($_POST['services_refresh']))
 	{
-		if ($current_refresh_rate != $HTTP_POST_VARS['services_refresh'])
+		if ($current_refresh_rate != $_POST['services_refresh'])
 		{
-			$current_refresh_rate = $HTTP_POST_VARS['services_refresh'];
+			$current_refresh_rate = $_POST['services_refresh'];
 			nt_auth_set_session_var('current_refresh_rate',$current_refresh_rate);
 		}
 	}
@@ -361,8 +361,8 @@
 							$tpl->assign('tool_graph_variables',	$graph_variables);
 							$tpl->assign('tool_graph_datas',		$graph_datas);
 
-							$tool_variable_selected = $HTTP_GET_VARS['variable'];
-							$tool_service_selected	= $HTTP_GET_VARS['service'];
+							$tool_variable_selected = $_GET['variable'];
+							$tool_service_selected	= $_GET['service'];
 
 							$tpl->assign('tool_graph_variable_selected',	$tool_variable_selected);
 							$tpl->assign('tool_graph_service_selected',		$tool_service_selected);
diff -r 5ea540631a02 code/ryzom/tools/server/admin/tool_guild_locator.php
--- a/code/ryzom/tools/server/admin/tool_guild_locator.php	Mon Feb 21 19:58:57 2011 +0100
+++ b/code/ryzom/tools/server/admin/tool_guild_locator.php	Wed Feb 23 10:55:14 2011 +0000
@@ -50,11 +50,11 @@
 
 	$current_refresh_rate = nt_auth_get_session_var('current_refresh_rate');
 
-	if (isset($HTTP_POST_VARS['services_refresh']))
+	if (isset($_POST['services_refresh']))
 	{
-		if ($current_refresh_rate != $HTTP_POST_VARS['services_refresh'])
+		if ($current_refresh_rate != $_POST['services_refresh'])
 		{
-			$current_refresh_rate = $HTTP_POST_VARS['services_refresh'];
+			$current_refresh_rate = $_POST['services_refresh'];
 			nt_auth_set_session_var('current_refresh_rate',$current_refresh_rate);
 		}
 	}
diff -r 5ea540631a02 code/ryzom/tools/server/admin/tool_player_locator.php
--- a/code/ryzom/tools/server/admin/tool_player_locator.php	Mon Feb 21 19:58:57 2011 +0100
+++ b/code/ryzom/tools/server/admin/tool_player_locator.php	Wed Feb 23 10:55:14 2011 +0000
@@ -50,11 +50,11 @@
 
 	$current_refresh_rate = nt_auth_get_session_var('current_refresh_rate');
 
-	if (isset($HTTP_POST_VARS['services_refresh']))
+	if (isset($_POST['services_refresh']))
 	{
-		if ($current_refresh_rate != $HTTP_POST_VARS['services_refresh'])
+		if ($current_refresh_rate != $_POST['services_refresh'])
 		{
-			$current_refresh_rate = $HTTP_POST_VARS['services_refresh'];
+			$current_refresh_rate = $_POST['services_refresh'];
 			nt_auth_set_session_var('current_refresh_rate',$current_refresh_rate);
 		}
 	}
